Fulcrum can be run on devices running Android 4.0.3 or higher and iOS versions 9.0 or higher. 

The Fulcrum mobile app can be downloaded for Android devices through the Play Store. For iOS users, Fulcrum can be downloaded from the iTunes Store.

Note for Android users: In addition to the device running Android 4.0.3 or higher, the Android device must have Google Play Services installed. If your device can access the Google Play Store, then it should have Google Play Services.

Did this answer your question?